package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import java.math.BigDecimal;
import java.text.NumberFormat;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/CreditLoanScheduleAction.class */
public class CreditLoanScheduleAction extends LifeAction {
    public String execute(Context context) throws GENEException {
        LifeStandard.getSelfDefineSettingsValue("cacheServiceFlag");
        NumberFormat numf = NumberFormat.getPercentInstance();
        IndexedCollection classReportList = context.getDataElement("classReportList");
        List<HashMap<String, String>> accountList = new ArrayList<>();
        for (int i = 1; i < classReportList.size(); i++) {
            HashMap<String, String> accountMap = new HashMap<>();
            KeyedCollection curkcoll = classReportList.getElementAt(i);
            BigDecimal curloaCount = new BigDecimal((String) curkcoll.getDataValue("loaCount"));
            BigDecimal curloaAmt = new BigDecimal((String) curkcoll.getDataValue("loaAmt"));
            String curDate = (String) curkcoll.getDataValue("date");
            KeyedCollection prekcoll = classReportList.getElementAt(i - 1);
            BigDecimal preloaCount = new BigDecimal((String) prekcoll.getDataValue("loaCount"));
            BigDecimal preloaAmt = new BigDecimal((String) prekcoll.getDataValue("loaAmt"));
            accountMap.put("date", curDate.substring(0, 6));
            accountMap.put("loaCount", (curloaCount.compareTo(preloaCount) <= 0 ? 0 : curloaCount.subtract(preloaCount)).toString());
            accountMap.put("loaAmt", (curloaAmt.compareTo(preloaAmt) <= 0 ? 0 : curloaAmt.subtract(preloaAmt)).toString());
            accountList.add(accountMap);
        }
        classReportList.clear();
        for (int i2 = 0; i2 < accountList.size(); i2++) {
            KeyedCollection accountKcoll = new KeyedCollection();
            BigDecimal curloaAmt2 = new BigDecimal(accountList.get(i2).get("loaAmt"));
            BigDecimal curloaCount2 = new BigDecimal(accountList.get(i2).get("loaCount"));
            accountKcoll.put("date", accountList.get(i2).get("date"));
            accountKcoll.put("year", accountList.get(i2).get("date").substring(0, 4));
            accountKcoll.put("month", accountList.get(i2).get("date").substring(4, 6));
            accountKcoll.put("loaCount", NumberFormat.getInstance().format(curloaCount2));
            accountKcoll.put("loaAmt", NumberFormat.getInstance().format(curloaAmt2.divide(new BigDecimal(10000), 2, 4)));
            if (i2 == 0) {
                accountKcoll.put("loaCountRate", "-");
                accountKcoll.put("loaAmtRate", "-");
            } else {
                BigDecimal preloaAmt2 = new BigDecimal(accountList.get(i2 - 1).get("loaAmt"));
                BigDecimal preloaCount2 = new BigDecimal(accountList.get(i2 - 1).get("loaCount"));
                if (preloaCount2.intValue() <= 0) {
                    accountKcoll.put("loaCountRate", "-");
                } else if (curloaCount2.intValue() <= 0) {
                    accountKcoll.put("loaCountRate", "-");
                } else if (curloaCount2.compareTo(preloaCount2) == 0) {
                    accountKcoll.put("loaCountRate", "0%");
                } else if (curloaCount2.compareTo(preloaCount2) == 1) {
                    accountKcoll.put("loaCountRate", numf.format(curloaCount2.subtract(preloaCount2).divide(preloaCount2, 2, 4)));
                } else {
                    accountKcoll.put("loaCountRate", "-" + numf.format(preloaCount2.subtract(curloaCount2).divide(preloaCount2, 2, 4)));
                }
                if (preloaAmt2.intValue() <= 0) {
                    accountKcoll.put("loaAmtRate", "-");
                } else if (curloaAmt2.intValue() <= 0) {
                    accountKcoll.put("loaAmtRate", "-");
                } else if (curloaAmt2.compareTo(preloaAmt2) == 0) {
                    accountKcoll.put("loaAmtRate", "0%");
                } else if (curloaAmt2.compareTo(preloaAmt2) == 1) {
                    accountKcoll.put("loaAmtRate", numf.format(curloaAmt2.subtract(preloaAmt2).divide(preloaAmt2, 2, 4)));
                } else {
                    accountKcoll.put("loaAmtRate", "-" + numf.format(preloaAmt2.subtract(curloaAmt2).divide(preloaAmt2, 2, 4)));
                }
            }
            classReportList.addDataElement(accountKcoll);
        }
        return "0";
    }
}
